Skip to main content

Get a production plan stream

GET 

/api/production-plan-streams/{id}

warning

Requires Streams to be enabled in company settings.

Required permissions:

  • production_plan.view: allows view resources of projects where the user is the PM or the Account.
  • production_plan.view_other: allows view resources of projects where the user is not the PM nor the Account.

Here the dedicated support page.

Request

Path Parameters

    id integerrequired

    Possible values: Value must match regular expression [0-9]+

    The ID of the production plan stream to view

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Responses

Returns the requested production plan stream.

Schema

    id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    date daterequired

    The first day of month of the production plan stream

    value floatrequired

    Possible values: <= 100

    The percentage of production planned in a month

    project_id integerrequired

    Possible values: >= 1

    ID of the project related to this production plan stream

    stream_id integerrequired

    Possible values: >= 1

    ID of the stream related to this production plan stream

    production_plan_id integerrequired

    Possible values: >= 1

    ID of the production plan related to this production plan stream

    deleted_at date-time

    The date and time when the resource was deleted

Loading...